
QGIS Application - Bug report #16354

mutually exclusive group prevent checking sub-children individually

2017-03-14 08:02 AM - Denis Rouzaud

Status: Closed

Priority: High

Assignee: Martin Dobias

Category: Map Legend

Affected QGIS version:2.18.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24264

Description

In the shown example, the top group is mutually exclusive.

I cannot hide a layer of the sub-group.

Making the top group not mutually exclusive anymore allows that.

History

#1 - 2017-03-14 11:05 PM - Denis Rouzaud

- File legend.png added

- File legend.zip added

I added a demo project.

I cannot hide one of the two layers in the "sub-group" (i.e. lines or polygons).

#2 - 2017-03-14 11:06 PM - Denis Rouzaud

- File deleted (legend.png)

#3 - 2017-03-17 06:58 AM - Richard Duivenvoorde

Hi Deniz,

I downloaded your project and loaded in 2.18.4 

Only the first time I can click/hide polygon and lines layer

After that indeed it does not work anymore

I see a bold minus sometimes in the tickboxes, does that mean anything?

I then ran your project in 3.0 and for what I can see there it seems to work.

Though it is not 100% clear to me HOW the tree nowadays exactly is supposed to work and what the 'mutually exclusive exactly' is...

#4 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2017-05-01 10:08 AM - Giovanni Manghi
- Description updated

- Status changed from Open to Feedback

If it is ok on master/qgis3 should we close this?

#6 - 2017-05-26 05:30 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

fixed on master(?). Please reopen if necessary.

Files

legend.png 9.12 KB 2017-03-14 Denis Rouzaud

legend.zip 17.5 KB 2017-03-14 Denis Rouzaud
